﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using System.Collections.ObjectModel;
using System.Diagnostics;
using Infragistics;
using System.ComponentModel;

namespace TestProject
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			var data = new MyData();
			data.TabItems.Add(new MyTabItemData { Name = "Home", AllowClose = false });
			data.TabItems.Add(new MyTabItemData { Name = "Here", AllowClose = true });
			data.TabItems.Add(new MyTabItemData { Name = "THere", AllowClose = true });
			this.DataContext = data;

			InitializeComponent();
		}
	}

	internal class MyData
	{
		private ObservableCollection<MyTabItemData> _tabItems;

		public MyData()
		{
			_tabItems = new ObservableCollection<MyTabItemData>();
		}

		public IList<MyTabItemData> TabItems
		{
			get { return _tabItems; }
		}
	}

	public class MyTabItemData : PropertyChangeNotifier
	{
		private bool _allowClose;
		public bool AllowClose
		{
			get { return _allowClose; }
			set
			{
				if (value != _allowClose)
				{
					_allowClose = value;
					this.OnPropertyChanged("AllowClose");
				}
			}
		}

		private string _name;
		public string Name
		{
			get { return _name; }
			set
			{
				if (value != _name)
				{
					_name = value;
					this.OnPropertyChanged("Name");
				}
			}
		}

	}
}
